HP Views Designer Assistant: InformationScreenController Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Member Functions | Private Attributes | List of all members
InformationScreenController Class Reference

The InformationScreenController class. More...

`#include <informationscreencontroller.h>`

Inheritance diagram for InformationScreenController:

## Public Member Functions

| InformationScreenController (InformationScreen *view)
| InformationScreenController constructor. More...
void | checkGeneralMenuSize ()
| checkGeneralMenuSize Checks the number of elements and if it is correct, sets the value into the information model.
void | heightView ()
| heightView Gets the screen height and sets it into the information model.
void | widthView ()
| widthView Gets the screen width and sets it into the information model.
void | colorBackground ()
| colorBackground Gets the screen background color and sets it into the information model.
void | imageBackground ()
| imageBackground Gets the screen background image and sets it into the information model.
void | cardSize ()
| cardSize Gets the screen card rows and columns and sets it into the information model.
void | number_of_icons ()
| number_of_icons Gets the screen number of icons and sets it into the information model.
void | on_icon_options ()
| on_icon_options Gets the screen icon option and sets it into the information model.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked Changes between the primary view and the secondary view.
void | cardTitle ()
| cardTitle Gets the screen card title and sets it into the information model.
void | cardIcon ()
| cardIcon Gets the screen image path and sets it into the information model.
void | addProperty ()
| addProperty Gets the screen property and sets it into the information model.
void | removeProperty ()
| removeProperty Gets the screen property and removes it into the information model.
void | changeProperty ()
| changeProperty Gets the screen property and edits it into the information model.
void | selectProperty ()
| selectProperty Gets the clicked property and shows the property values.
void | nextCard ()
| nextCard Changes the current card.
void | updateCardViewProgress ()
| updateCardViewProgress Update the progress view.
void | setModel (Interfaz *interfaz)
| setModel Sets the information model. More...
void | goBack ()
| goBack Goes to the previous card, if is the first card, goes to information general options.
Public Member Functions inherited from Controller
| Controller ()
| Controller constructor.
void | on_homeBtn_clicked (bool ask=true)
| on_homeBtn_clicked. More...
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked.
void | on_helpBtn_clicked (QString path, QPoint position)
| on_helpBtn_clicked. More...

## Private Member Functions

void | setViewInfo ()
| setViewInfo Shows card information.
void | finish ()
| finish Finish the edition and shows the preview of the QML interface.
QString | checkMenuSize (int icons, int rows, int cols)
| checkMenuSize Checks the size of the elements in the screen. More...

## Private Attributes

int | currentCard
| currentCard Current card index.
bool | isFromEdit
| isFromEdit Whether the interface is made from edition.
bool | isBack
| isBack Wheter the user has gone back.

## Additional Inherited Members

Protected Member Functions inherited from Controller
bool | confirmExit ()
| confirmExit ask the user for exit confirmation. More...
void | showPreview (QString path)
| showPreview show graphic preview of QML file. More...
QString | getLongSavePath ()
| getLongSavePath ask the user the location to save the file. More...
void | switchToOptionsView ()
| switchToOptionsView change the current view to the secondary view.
Protected Attributes inherited from Controller
View * | generalView
| generalView primary view.
View * | optionsView
| optionsView secondary view.
Interfaz * | interfaz
| interfaz interface.

## Detailed Description

The InformationScreenController class.

## Constructor & Destructor Documentation

## ◆ InformationScreenController()

InformationScreenController::InformationScreenController | ( | InformationScreen * | view | ) |

InformationScreenController constructor.

Parameters

  view | Information screen view.

## Member Function Documentation

## ◆ checkMenuSize()

QString InformationScreenController::checkMenuSize | ( | int | icons,
|  | int | rows,
|  | int | cols
| ) |  |

private

checkMenuSize Checks the size of the elements in the screen.

Parameters

  icons | Number of cards.
  rows | Number of rows.
  cols | Numbers of columns.

Returns
  Error found during the check, if there is no errors, returns empty QString.

## ◆ setModel()

void InformationScreenController::setModel | ( | Interfaz * | interfaz | ) |

setModel Sets the information model.

Parameters

  interfaz | Interface model.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/informationscreencontroller.h
- D:/Documentos/ViewDesignerAssistant/Controller/informationscreencontroller.cpp